%if 0%{?rhel} == 7
  # Building on CentoOS 7 would result in ".el7.centos"
  %define dist .el7
%endif

Name: ansible-runner-service
Version: 0.9
Release: 5%{?dist}
Summary: RESTful API for ansible/ansible_runner execution
Source0: https://github.com/pcuzner/%{name}/archive/%{name}-%{version}.tar.gz
Group:	 Applications/System
License: ASL 2.0

BuildArch: noarch

BuildRequires: python3-setuptools
BuildRequires: python3-devel

Requires: ansible >= 2.9
Requires: ansible-runner
Requires: openssl
Requires: python3
Requires: python3-netaddr
Requires: python3-pyOpenSSL
Requires: python3-netaddr
Requires: python3-notario
Requires: python3-flask
Requires: python3-flask-restful
Requires: python3-devel
Requires: python3-setuptools
Requires: openssh
Requires: openssh-clients
Requires: bubblewrap

Patch0001: 0001-utils-fix-permissions-assigned-to-public-key.patch

%description
This package provides the Ansible Runner Service source files. Ansible runner service exposes a REST API interface on top of the functionality provided by ansible and ansible_runner.

The Ansible Runner Service provided in this packages is intended to be used as uwgsi app exposed by Nginx in a Container.
Dependencies, and configuration tasks must be performed in the container.

Ansible Runner Service listens on https://localhost:5001 by default for playbook or ansible inventory requests. For developers interested in using the API, all the available endpoints are documented at https://localhost:5001/api.

In addition to the API endpoints, the daemon also provides a /metrics endpoint for prometheus integration. A sample Grafana dashboard is provided within /usr/share/doc/ansible-runner-service

%prep
%setup -q -n %{name}-%{version}
%patch0001 -p1

%build
# Disable debuginfo packages
%define _enable_debug_package 0
%define debug_package %{nil}

%{__python3} setup.py build

%install
%{__python3} setup.py install -O1 --skip-build --root %{buildroot} --install-scripts /usr/bin
mkdir -p %{buildroot}%{_unitdir}
mkdir -p %{buildroot}%{_sysconfdir}/ansible-runner-service
install -m 0644 ./config.yaml %{buildroot}%{_sysconfdir}/ansible-runner-service
install -m 0644 ./logging.yaml %{buildroot}%{_sysconfdir}/ansible-runner-service
mkdir -p %{buildroot}%{_prefix}/share/ansible-runner-service/artifacts
mkdir -p %{buildroot}%{_prefix}/share/ansible-runner-service/env
mkdir -p %{buildroot}%{_prefix}/share/ansible-runner-service/inventory
mkdir -p %{buildroot}%{_prefix}/share/ansible-runner-service/project
mkdir -p %{buildroot}%{_prefix}/share/ansible-runner-service/client_cert
mkdir -p %{buildroot}%{_prefix}/share/ansible-runner-service/misc
install -m 0644 ./samples/project/runnertest.yml %{buildroot}%{_prefix}/share/ansible-runner-service/project
mkdir -p %{buildroot}%{_docdir}/ansible-runner-service/dashboards
install -m 0644 ./misc/dashboards/ansible-runner-service-metrics.json  %{buildroot}%{_docdir}/ansible-runner-service/dashboards
install -m 0644 ./LICENSE.md %{buildroot}%{_docdir}/ansible-runner-service
cp -r ./misc/nginx %{buildroot}%{_prefix}/share/ansible-runner-service/misc/
cp -r ./runner_service %{buildroot}%{_prefix}/share/ansible-runner-service/
cp -r ./samples %{buildroot}%{_prefix}/share/ansible-runner-service/
cp -r ./*.py %{buildroot}%{_prefix}/share/ansible-runner-service/.
cp -r ./*yaml %{buildroot}%{_prefix}/share/ansible-runner-service/.

%post


%postun


%files
%{_bindir}/ansible_runner_service
%{python3_sitelib}/*
%{_prefix}/share/ansible-runner-service/*
%{_sysconfdir}/ansible-runner-service/*
%{_docdir}/ansible-runner-service/*

%changelog
* Wed Nov 18 2020 Timothy Asir Jeyasingh <tjeyasin@redhat.com> 0.9-5
- Fix bz#1897125
- Release ansible-runner-service 0.9-5

* Mon Oct 12 2020 Timothy Asir Jeyasingh <tjeyasin@redhat.com> 0.9-4
- Fix bz#1831682
- Release ansible-runner-service 0.9-4

* Mon Jul 29 2019 Timothy Asir Jeyasingh <tjeyasin@redhat.com> 0.9-3
- Release ansible-runner-service 0.9-3

* Thu Jun 20 2019 Juan Miguel Olmo <jolmomar@redhat.com> 0.9-1
- Initial rpm packaging to use Ansible Runner Service in containers

